Subject: bug#23897: 25.1.50; Argument at point not being highlighted in eldoc hints

From: Kaushal Modi <[email-masked]>
Date: Thu, 07 Jul 2016 19:38:21 +0000

Actually I had to run git bisect one last time (I just became impatient).
But the conclusion in my previous email was right.

git bisect ended with

Saved working directory and index state WIP on (no branch): cfb3c61 Enable
dividers in NS (bug#22973)
HEAD is now at cfb3c61 Enable dividers in NS (bug#22973)
0644e6f56d2be82dd716478eb65e7b3c761d813d is the first bad commit
commit 0644e6f56d2be82dd716478eb65e7b3c761d813d
Author: Eli Zaretskii <[email-masked]>
Date:   Tue Jun 28 19:03:43 2016 +0300

    Fix copying properties in 'format' when it produces padding

    * src/textprop.c (extend_property_ranges): Correct range extension
    when the new end is beyond the old end.  (Bug#23859)

:040000 040000 1e0b14a6241e1817a334ef67fdfef7555c2c8a4b
eb7f473f651a351ecbb6edc4bb8c0ab3473edb5b M      src

On Thu, Jul 7, 2016 at 3:31 PM Kaushal Modi <[email-masked]> wrote:

> Phew, finally.
>
> After git bisecting, I have narrowed down this bug to this commit:
> http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=0644e6f56d2be82dd716478eb65e7b3c761d813d
>
> So I ended git bisecting at this point:
>
> km²~/downloads/:git/emacs> git stash save && git bisect good
>
> Saved working directory and index state WIP on (no branch): 1f55925 ; Fix
> breakage from previous commit
> HEAD is now at 1f55925 ; Fix breakage from previous commit
> Bisecting: 0 revisions left to test after this (roughly 1 step)
> [0644e6f56d2be82dd716478eb65e7b3c761d813d] Fix copying properties in
> 'format' when it produces padding
>
> Building emacs using that commit shows that bug.
>
> I don't understand what the C code does. But the comments make somewhat
> sense as that code change has to do with the format function, and thus
> related to the incorrect text properties of eldoc hints.
> --
>
> --
> Kaushal Modi
>
-- 

-- 
Kaushal Modi